/**
 * Copyright 2010 FH Trier, Umwelt-Campus Birkenfeld
 * 
 * FH Trier, Umwelt-Campus Birkenfeld  
 * P.O. Box 1380
 * D-55761 Birkenfeld
 * GERMANY
 *
 * http://www.umwelt-campus.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie ist",
 * OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
 
package de.umweltcampus.uput.informatik.openeanvadapter.documents.processors;

import java.awt.Component;
import javax.swing.JOptionPane;
import de.umweltcampus.uput.informatik.openeanvadapter.resources.MessageBundle;

/**
 * Abstrakte Oberklasse für alles was Nachrichten verarbeitet
 * @author Marc Beck
 */
public abstract class AbstractZKSMessageProcessor {

    private boolean processed = false;

    public final void processMessage(String message) {
        process(message);
        this.processed = true;
    }

    public final void viewSwingResult(Component parent) {
        if (!processed) {
            JOptionPane.showMessageDialog(parent, MessageBundle.getString("msgMessageNotProcessed"), MessageBundle.getString("msgError"), JOptionPane.ERROR_MESSAGE);
        } else {
            getSwingResult(parent);
        }
    }

    protected abstract void process(String message);

    protected abstract void getSwingResult(Component parent);
}
